Bug 1001537 - Overlap of dependencies in JDG maven repository and maven central
Overlap of dependencies in JDG maven repository and maven central
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER2
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 05:02 EDT by Martin Gencur
Modified: 2013-10-08 10:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2013-08-27 05:02:01 EDT
VersionOverlapException (total count 31)
Artifact c3p0:c3p0:jar:0.9.1.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact com.google.protobuf:protobuf-java:jar:2.4.1 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact com.thoughtworks.paranamer:paranamer:jar:2.3 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact javax.cache:cache-api:jar:0.8 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact jdom:jdom:jar:1.0 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.antlr:antlr-runtime:jar:3.4 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.antlr:stringtemplate:jar:3.2.1 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.avro:avro:jar:1.6.3 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-analyzers:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-core:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-facet:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-grouping:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-highlighter:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-kuromoji:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-memory:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-misc:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-phonetic:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-smartcn:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-spatial:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-spellchecker:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.lucene:lucene-stempel:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.solr:solr-analysis-extras:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.solr:solr-core:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.apache.solr:solr-solrj:jar:3.6.2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.hibernate.hql:hibernate-hql-lucene:jar:1.0.0.Alpha3 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.hibernate.hql:hibernate-hql-parser:jar:1.0.0.Alpha3 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.hibernate:hibernate-search-analyzers:jar:4.4.0.Alpha1 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.hibernate:hibernate-search-engine:jar:4.4.0.Alpha1 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.hibernate:hibernate-search-infinispan:jar:4.4.0.Alpha1 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.infinispan.protostream:protostream:jar:1.0.0.Alpha2 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Artifact org.xerial.snappy:snappy-java:bundle:1.0.4.1 has overlap with remote repository: central (http://repo1.maven.org/maven2/, releases+snapshots)
Comment 2 Tristan Tarrant 2013-09-10 05:00:40 EDT
Most of these will be resolved when hibernate-search 4.4.0 will be built in brew.
Comment 3 Tristan Tarrant 2013-10-05 08:07:28 EDT
The Maven repo now contains only productized artifacts.
Comment 4 Martin Gencur 2013-10-08 10:22:33 EDT
Verified. This is no longer a problem with ER1.

Note You need to log in before you can comment on or make changes to this bug.